<< _levin | FOSSEE_Signal_Processing_Toolbox | ac2rc >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ac2poly

# ac2poly

Convert autocorrelation sequence to polynomial of prediction filter.

### Syntax

    a = ac2poly(r)
    [a,e] = ac2poly(r)

### Parameters

r:

  Autocorrelation sequence to be represented with an FIR linear prediction filter.

a:

  Output polynomial representing the linear prediction filter e/(a(1) + a(2)z + a(3)z^2 .. a(N)z^N-1).

e:

  Output scaling for the linear prediction filter.

### Description

Function ac2poly() finds the best fit polynomial for FIR linear prediction filter `a`, corresponding to the autocorrelation sequence `r`. `a` is the same length as `r`, and is normalized with the first element. So `a(1) = 1`.

### Examples

    a = ac2poly([1, 0.5, 0.2])
    [a, e] = ac2poly([1, 0.5, 0.2])

### See also

- levinson — Levinson- Durbin Recurssion Algorithm

### Authors

- Parthe Pandit

### Bibliography

Kay, Steven M. Modern Spectral Estimation. Englewood Cliffs, NJ: Prentice-Hall, 1988.

Report an issue
<< _levin | FOSSEE_Signal_Processing_Toolbox | ac2rc >>